{
  config,
  pkgs,
  ...
}: {
  home.file.".config/ghostty/screensaver".text = ''
    window-padding-x = 0
    window-padding-y = 0
    window-padding-color = "extend-always"
  '';
  programs.ghostty = {
    enable = true;
    package =
      if pkgs.stdenv.isDarwin
      then pkgs.ghostty-bin
      else pkgs.ghostty;
    enableFishIntegration = true;

    settings = {
      confirm-close-surface = false;
      app-notifications = false;
      window-padding-x = 15;
      window-padding-y = 15;
      window-padding-balance = true;
    };
  };
}
